--- title: "REST API call to get incident IDs of network discovery data for the specified filters" slug: "rest-api-call-to-get-incident-ids-of-network-discovery-data" tags: ["Product Usage", "DLP 11.12.x"] updated: 2026-09-09T08:08:14Z published: 2026-09-09T08:08:14Z canonical: "docs.trellix.com/rest-api-call-to-get-incident-ids-of-network-discovery-data" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # REST API call to get incident IDs of network discovery data for the specified filters You can use this REST API call to get a list of incident IDs generated for network discovery for the specified filters. ### GET request URL `https://<epo_server_name:port>/rest/dlp/incidents/list/networkDiscovery` Where, `epo_server_name:port` is the server IP address and port number. ### Request Parameters | Parameter name | Description | Required | Values | | --- | --- | --- | --- | | **Authorization** | User credentials for ePO - On-prem. | Required | | | **firstId** | first incident ID — incident IDs starting from the specified incident ID are returned. | Optional | String | | **firstTimestamp** | first Timestamp — incident ID that are generated from the specified timestamp (UTCTime) are returned. | Optional | String (Epoch time) | | **label** | Incident IDs with specified label are returned. | Optional | String | | **status** | Incident IDs with specified status are returned. | Optional | String | | **customAttributes** | Incident IDs with specified values for the specified custom attributes are returned. | Optional | String | **Sample GET request URL** `https://172.27.108.53:8443/rest/dlp/incidents/list/networkDiscovery` `{` `"firstId":"19",` `"firstTimestamp":"1653928435",` `"label":"newLabel",` `"status":"2"` `"customAttributes": {"incident":"iv1", "ca1":"CV1"}` `}` **Sample cURL command** `curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/list/networkDiscovery' -u '<user>:<password>'` `--data-raw '{` `"firstId":"19",` `"firstTimestamp":"1653928435",` `"label":"newLabel",` `"status":"2"}'` `"customAttributes": {"incident":"iv1", "ca1":"CV1"} }'` ### Sample request ``` { "firstId":"19", "firstTimestamp":"1653928435", "label":"newLabel", "status":"2" "customAttributes": {"incident":"iv1", "ca1":"CV1"} } ``` ### Sample response ``` [    "28",    "39" ] ``` ### Status and error codes List of HTTP status codes returned for the query. | Code | Description | | --- | --- | | **200 OK** | Successfully received list of incident IDs satisfying conditions in request. | | **400 Bad Request** | Returns a bad request if: - Empty or non-numeric value is passed for firstId. - Empty or non-numeric value is passed for firstTimestamp. - Empty, invalid, or non-numeric status is passed. - Empty value is passed for label. - Invalid custom attribute name is passed. | | **404 Not Found** | Incorrect ePO - On-prem URL. | | **500 Internal Server Error** | An error on the server side that failed the request. See the ePO - On-prem `orion.log` file for more details about the error. |